# DSMsaveload

I enjoy using the [Desmos.com graphing calculator](https://www.desmos.com/calculator), but it lacks the ability to save and load graphs locally. Desmos allows graphs to be saved to an account, but does not provide any way to export or import graphs as a file. For this reason, I have made the Desmos Save/Load browser extension. 

The extension is very simple.
It adds two things; a `Save JSON` button and a `Load JSON` button.
Clicking the `Save JSON` button puts your current graph in a file which you will be prompted to save.
Clicking the `Load JSON` button prompts you to select a valid JSON graph file. Once the file is selected, it is loaded into the current graph.

![Screenshot](./screenshot.png)

Currently, the extension is only available through my git repo, but I plan to get it on the Firefox and Chrome extension stores.

Contributions and bug reports are welcome. This gitea page does not allow any user signups so please email me any contributions/issues. My email adress can be found at [my website](https://alexanderbass.com/info/)